using SoftwareInstallationContracts.BindingModels;
using SoftwareInstallationContracts.SearchModels;
using SoftwareInstallationContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationContracts.StoragesContract
{
	public interface IMessageInfoStorage
	{
		List<MessageInfoViewModel> GetFullList();

		List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel model);

		MessageInfoViewModel? GetElement(MessageInfoSearchModel model);

		MessageInfoViewModel? Insert(MessageInfoBindingModel model);
		MessageInfoViewModel? Update(MessageInfoBindingModel model);
	}
}
